Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.util
Class XHTMLWriter

    java.lang.Object
      |
      +--gnu.xml.util.XMLWriter
            |
            +--gnu.xml.util.XHTMLWriter

All Implemented Interfaces:
  ContentHandler, DeclHandler, DTDHandler, LexicalHandler

public class XHTMLWriter
extends XMLWriter

This extends XMLWriter to create a class which defaults to writing XHTML text, preferring the US-ASCII encoding. It adds no unique functionality, only changing the defaults slightly to simplify writing XHTML processing components by providing a bean class whose properties have more convenient defaults. An artifact of using the US-ASCII encoding is that no XML declaration is written, so that HTML tools that can't accept them will not become confused. Components can treat the output as UTF-8, ISO-8859-1, or US-ASCII without incurring any data loss.

Version:
  $Date: 2001/10/23 17:42:25 $
Author:
  David Brownell

Constructor Summary
`XHTMLWriter()` Constructs this handler with System.out used to write SAX events using the US-ASCII encoding, as XHTML.
`XHTMLWriter(java.io.OutputStream out)` Constructs this handler such that the specified output stream is used to write SAX events in the US-ASCII encoding, as XHTML.
`XHTMLWriter(java.io.Writer out)` Constructs this handler such that the specified output stream is used to write SAX events as XHTML.
`XHTMLWriter(java.io.Writer out, java.lang.String encoding)` Constructs this handler such that the specified output stream is used to write SAX events as XHTML, labeled with the specified encoding.

Methods inherited from class gnu.xml.util.XMLWriter
`attributeDecl, characters, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, externalEntityDecl, fatal, flush, ignorableWhitespace, internalEntityDecl, isCanonical, isExpandingEntities, isPrettyPrinting, isXhtml, notationDecl, processingInstruction, setCanonical, setDocumentLocator, setEOL, setErrorHandler, setExpandingEntities, setPrettyPrinting, setWriter, setXhtml, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, write, writeElement, writeElement, writeEmptyElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLWriter

    public XHTMLWriter()
                throws java.io.IOException

  Constructs this handler with System.out used to write SAX events using the US-ASCII encoding, as XHTML.

### XHTMLWriter

    public XHTMLWriter(java.io.OutputStream out)
                throws java.io.IOException

  Constructs this handler such that the specified output stream is used to write SAX events in the US-ASCII encoding, as XHTML.
  Parameters:
    `out` - Where US-ASCII encoding of the stream of SAX events will be sent.

### XHTMLWriter

    public XHTMLWriter(java.io.Writer out)

  Constructs this handler such that the specified output stream is used to write SAX events as XHTML.
  Parameters:
    `out` - Where the stream of SAX events will be written.

### XHTMLWriter

    public XHTMLWriter(java.io.Writer out,
                       java.lang.String encoding)

  Constructs this handler such that the specified output stream is used to write SAX events as XHTML, labeled with the specified encoding.
  Parameters:
    `out` - Where the stream of SAX events will be written.
    `encoding` - If non-null, this names the encoding to be placed in the encoding declaration.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.